## org.codehaus.groovy.grails.support
Class SoftThreadLocalMap

    java.lang.Object
      java.lang.ThreadLocal<T>
          java.lang.InheritableThreadLocal
              org.codehaus.groovy.grails.support.SoftThreadLocalMap

    public class SoftThreadLocalMap

extends InheritableThreadLocal

Creates a InheritableThreadLocal with an intial value of a Map

Since:
  0.6
Author:
  Graeme Rocher

Constructor Summary
`SoftThreadLocalMap()`

Method Summary
`protected Object` `initialValue()` Creates an initial value of a Map

Methods inherited from class java.lang.InheritableThreadLocal
`childValue`

Methods inherited from class java.lang.ThreadLocal
`get, remove, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftThreadLocalMap

    public SoftThreadLocalMap()

Method Detail

### initialValue

    protected Object initialValue()

  Creates an initial value of a Map

  Overrides:
    `initialValue` in class `ThreadLocal`

Copyright (c) 2005-2009 The Grails project